d.grid(1)

NAME
d.grid - Overlays a user-specified grid in the active display frame on the graphics monitor.

SYNOPSIS
d.grid
d.grid help
d.grid [-gb] size=value [color=string] [origin=easting,northing] [bordercolor=string]

  Flags:

-g  Disable grid drawing

-b  Disable border drawing

  Parameters:

size=value
    Size of grid to be drawn

color=string
    Sets the current grid color, either a standard GRASS color or R:G:B triplet (separated by colons) Default: gray

origin=easting,northing
    Lines of the grid pass through this coordinate Default: 0,0

bordercolor=string
    Sets the border color, either a standard GRASS color or R:G:B triplet Default: brown

DESCRIPTION
d.grid overlays a grid of user-defined size and color in the active display frame on the graphics monitor. The grid will overlay, not overwrite, the contents of the active display frame.

d.grid can be run non-interactively or interactively. If the user specifies the grid size and (optionally) the grid color on the command line the program will run non-interactively; if no grid color is given the default will be used. Alternately, the user may simply type d.grid on the command line; in this case, the program will prompt the user for parameter values using the standard GRASS user interface described in the manual entry for parser.

NOTES
d.grid will not erase grids already displayed in the active graphics display frame by previous invocations of d.grid; multiple invocations of d.grid will therefore result in the drawing of multiple grids inside the active graphics frame. (A command like d.erase, which erases the entire contents of the active display frame, must be run to erase previously drawn grids from the display frame.)

Currently, the grid size can only be drawn in the units of the map coordinate system used by the current GRASS location.

SEE ALSO
d.erase
d.frame
d.legend
d.rast
d.scale
parser

AUTHOR
James Westervelt, U.S. Army Construction Engineering Research Laboratory

Last changed: $Date: 2003/04/11 14:39:06 $

Help Index